Loading...
Searching...
No Matches
BALL::PyDatasetVector Class Reference
Python » Python extensions

`#include <BALL/PYTHON/EXTENSIONS/pyDatasetVector.h>`

Inheritance diagram for BALL::PyDatasetVector:

## Public Types

Type Definitions
typedef BALL::VIEW::Dataset * | ValueType
typedef BALL::VIEW::Dataset ** | PointerType
typedef vector< BALL::VIEW::Dataset * >::iterator | Iterator
typedef vector< BALL::VIEW::Dataset * >::const_iterator | ConstIterator

## Public Member Functions

Constructors and Destructors
| PyDatasetVector ()
| PyDatasetVector (const PyDatasetVector &dvector)
| Copy constructor.
| PyDatasetVector (const vector< BALL::VIEW::Dataset * > &dvector)
| Copy constructor.
PyDatasetVector & | operator= (const vector< BALL::VIEW::Dataset * > &dvector) throw ()
| Constructor from a const Dataset pointer list.
virtual | ~PyDatasetVector () throw ()
| Destructor.

## Detailed Description

Equivalent for a STL::Vector of Dataset Pointers in Python

Definition at line 23 of file pyDatasetVector.h.

## Member Typedef Documentation

## ConstIterator

typedef vector<BALL::VIEW::Dataset*>::const_iterator BALL::PyDatasetVector::ConstIterator

Constant iterator type.

Definition at line 48 of file pyDatasetVector.h.

## Iterator

typedef vector<BALL::VIEW::Dataset*>::iterator BALL::PyDatasetVector::Iterator

Iterator type.

Definition at line 44 of file pyDatasetVector.h.

## PointerType

typedef BALL::VIEW::Dataset** BALL::PyDatasetVector::PointerType

Pointer type

Definition at line 40 of file pyDatasetVector.h.

## ValueType

typedef BALL::VIEW::Dataset* BALL::PyDatasetVector::ValueType

Dataset* type

Definition at line 36 of file pyDatasetVector.h.

## Constructor & Destructor Documentation

## PyDatasetVector() [1/3]

BALL::PyDatasetVector::PyDatasetVector | ( |  | ) |

Default constructor. Create an empty vetor.

## PyDatasetVector() [2/3]

BALL::PyDatasetVector::PyDatasetVector | ( | const PyDatasetVector & | dvector | ) |

Copy constructor.

## PyDatasetVector() [3/3]

BALL::PyDatasetVector::PyDatasetVector | ( | const vector< BALL::VIEW::Dataset * > & | dvector | ) |

Copy constructor.

## ~PyDatasetVector()

virtual BALL::PyDatasetVector::~PyDatasetVector | ( |  | ) |
throw | ( | ) |  |  |

virtual

Destructor.

## Member Function Documentation

## operator=()

PyDatasetVector & BALL::PyDatasetVector::operator= | ( | const vector< BALL::VIEW::Dataset * > & | dvector | ) |
throw | ( | ) |  |  |

Constructor from a const Dataset pointer list.